import { type BadgeColor } from '../Badge';
import { type TagVariant } from '../Tag';
export declare const StyledBadge: import("../styled/index").StyledComponent<Omit<import("..").WithoutEmotionSpecific<import("@mui/material").BadgeProps>, "color"> & {
    color: BadgeColor;
    withBorder?: boolean | undefined;
    variantColor?: import("../Badge").BadgeVariantsColor | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $color: BadgeColor;
    $variant: TagVariant;
    $isChecked?: boolean | undefined;
    $isDisabled?: boolean | undefined;
}, {}, {}>;
